<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>conf &mdash; PYKKN 0.1 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/graphviz.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/panels-bootstrap.5fd3999ee7762ccc51105388f4a9d115.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="example_for_doc" href="../example_for_doc/index.html" />
    <link rel="prev" title="components.storage" href="../components/storage/index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> PYKKN
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../start/index.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../user/index.html">User Guide</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">API Reference</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../components/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">components</span></code></a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#"><code class="xref py py-mod docutils literal notranslate"><span class="pre">conf</span></code></a><ul>
<li class="toctree-l3"><a class="reference internal" href="#module-contents">Module Contents</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#conf.project">project</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.copyright">copyright</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.author">author</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.release">release</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.extensions">extensions</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.templates_path">templates_path</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.exclude_patterns">exclude_patterns</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.autoapi_dirs">autoapi_dirs</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.autoapi_root">autoapi_root</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.autodoc_typehints">autodoc_typehints</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.html_theme">html_theme</a></li>
<li class="toctree-l4"><a class="reference internal" href="#conf.html_static_path">html_static_path</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../example_for_doc/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">example_for_doc</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../h5_create_run_example/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">h5_create_run_example</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../h5_create_run_example2/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">h5_create_run_example2</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_dataset/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_dataset</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_dataset_image/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_dataset_image</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_dataset_video/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_dataset_video</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_instrument/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_instrument</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_model/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_model</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_parameter/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_parameter</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_pipeline/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_pipeline</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../test_run/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">test_run</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../build_multi_parameters/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">build_multi_parameters</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../parse/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">parse</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../parse_json/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">parse_json</span></code></a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">PYKKN</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../index.html">API Reference</a> &raquo;</li>
      <li><code class="xref py py-mod docutils literal notranslate"><span class="pre">conf</span></code></li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/reference/conf/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-conf">
<span id="conf"></span><h1><a class="reference internal" href="#module-conf" title="conf"><code class="xref py py-mod docutils literal notranslate"><span class="pre">conf</span></code></a><a class="headerlink" href="#module-conf" title="Permalink to this headline"></a></h1>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline"></a></h2>
<dl class="py data">
<dt class="sig sig-object py" id="conf.project">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">project</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">PYKKN</span></em><a class="headerlink" href="#conf.project" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.copyright">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">copyright</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">2022,</span> <span class="pre">ADP</span> <span class="pre">Group</span></em><a class="headerlink" href="#conf.copyright" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.author">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">author</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">ADP</span> <span class="pre">Group</span></em><a class="headerlink" href="#conf.author" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.release">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">release</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">0.1</span></em><a class="headerlink" href="#conf.release" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.extensions">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">extensions</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">['sphinx.ext.autodoc',</span> <span class="pre">'autoapi.extension',</span> <span class="pre">'sphinx_rtd_theme',</span> <span class="pre">'sphinx_panels',</span> <span class="pre">'sphinx.ext.napoleon']</span></em><a class="headerlink" href="#conf.extensions" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.templates_path">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">templates_path</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">['_templates']</span></em><a class="headerlink" href="#conf.templates_path" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.exclude_patterns">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">exclude_patterns</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">[]</span></em><a class="headerlink" href="#conf.exclude_patterns" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.autoapi_dirs">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">autoapi_dirs</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">['../../components/..']</span></em><a class="headerlink" href="#conf.autoapi_dirs" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.autoapi_root">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">autoapi_root</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">reference</span></em><a class="headerlink" href="#conf.autoapi_root" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.autodoc_typehints">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">autodoc_typehints</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">description</span></em><a class="headerlink" href="#conf.autodoc_typehints" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.html_theme">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">html_theme</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">sphinx_rtd_theme</span></em><a class="headerlink" href="#conf.html_theme" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="conf.html_static_path">
<span class="sig-prename descclassname"><span class="pre">conf.</span></span><span class="sig-name descname"><span class="pre">html_static_path</span></span><em class="property"><span class="w"> </span><span class="pre">=</span> <span class="pre">['_static']</span></em><a class="headerlink" href="#conf.html_static_path" title="Permalink to this definition"></a></dt>
<dd></dd></dl>

</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../components/storage/index.html" class="btn btn-neutral float-left" title="components.storage" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="../example_for_doc/index.html" class="btn btn-neutral float-right" title="example_for_doc" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, ADP Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>